pim_enrich_channel_index:
    path: ''

pim_enrich_channel_create:
    path: /create

pim_enrich_channel_edit:
    path: /{code}/edit
    requirements:
        code: '[a-zA-Z0-9_]+'

pim_enrich_channel_rest_index:
    path: /rest
    defaults: { _controller: pim_enrich.controller.rest.channel:indexAction }
    methods: [GET]

pim_enrich_channel_rest_get:
    path: /rest/{identifier}
    defaults: { _controller: pim_enrich.controller.rest.channel:getAction }
    methods: [GET]
    requirements:
        code: '[a-zA-Z0-9_]+'

pim_enrich_channel_rest_post:
    path: /rest
    defaults: { _controller: pim_enrich.controller.rest.channel:postAction }
    methods: [POST]

pim_enrich_channel_rest_put:
    path: /rest/{code}
    defaults: { _controller: pim_enrich.controller.rest.channel:putAction }
    methods: [PUT]
    requirements:
        code: '[a-zA-Z0-9_]+'

pim_enrich_channel_rest_remove:
    path: /rest/{code}
    defaults: { _controller: pim_enrich.controller.rest.channel:removeAction }
    methods: [DELETE]
    requirements:
        code: '[a-zA-Z0-9_]+'
